Documentation: NexNumber Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexNumber Class Reference
Nextion Component

NexNumber component. More...

`#include <NexNumber.h>`

Inherits NexTouch.

## Public Member Functions

| NexNumber (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | getValue (uint32_t *number)
| Get number attribute of component. More...
bool | setValue (uint32_t number)
| Set number attribute of component. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
uint32_t | Get_place_xcen (uint32_t *number)
| Get xcen attribute of component. More...
bool | Set_place_xcen (uint32_t number)
| Set xcen attribute of component. More...
uint32_t | Get_place_ycen (uint32_t *number)
| Get ycen attribute of component. More...
bool | Set_place_ycen (uint32_t number)
| Set ycen attribute of component. More...
uint32_t | getFont (uint32_t *number)
| Get font attribute of component. More...
bool | setFont (uint32_t number)
| Set font attribute of component. More...
uint32_t | Get_number_lenth (uint32_t *number)
| Get lenth attribute of component. More...
bool | Set_number_lenth (uint32_t number)
| Set lenth attribute of component. More...
uint32_t | Get_background_crop_picc (uint32_t *number)
| Get picc attribute of component. More...
bool | Set_background_crop_picc (uint32_t number)
| Set picc attribute of component. More...
uint32_t | Get_background_image_pic (uint32_t *number)
| Get pic attribute of component. More...
bool | Set_background_image_pic (uint32_t number)
| Set pic attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexNumber component.

Examples:
  CompGpio.ino.

Definition at line 30 of file NexNumber.h.

## Constructor & Destructor Documentation

NexNumber::NexNumber | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexNumber.cpp.

## Member Function Documentation

uint32_t NexNumber::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 45 of file NexNumber.cpp.

uint32_t NexNumber::Get_background_crop_picc | ( | uint32_t * | number | ) |

Get picc attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 213 of file NexNumber.cpp.

uint32_t NexNumber::Get_background_image_pic | ( | uint32_t * | number | ) |

Get pic attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 241 of file NexNumber.cpp.

uint32_t NexNumber::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 73 of file NexNumber.cpp.

uint32_t NexNumber::Get_number_lenth | ( | uint32_t * | number | ) |

Get lenth attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 185 of file NexNumber.cpp.

uint32_t NexNumber::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 101 of file NexNumber.cpp.

uint32_t NexNumber::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 129 of file NexNumber.cpp.

uint32_t NexNumber::getFont | ( | uint32_t * | number | ) |

Get font attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 157 of file NexNumber.cpp.

bool NexNumber::getValue | ( | uint32_t * | number | ) |

Get number attribute of component.

Parameters

  number | - buffer storing text returned.

Returns
  The real length of text returned.

Definition at line 22 of file NexNumber.cpp.

bool NexNumber::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 55 of file NexNumber.cpp.

bool NexNumber::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 223 of file NexNumber.cpp.

bool NexNumber::Set_background_image_pic | ( | uint32_t | number | ) |

Set pic attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 250 of file NexNumber.cpp.

bool NexNumber::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 83 of file NexNumber.cpp.

bool NexNumber::Set_number_lenth | ( | uint32_t | number | ) |

Set lenth attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 195 of file NexNumber.cpp.

bool NexNumber::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 111 of file NexNumber.cpp.

bool NexNumber::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 139 of file NexNumber.cpp.

bool NexNumber::setFont | ( | uint32_t | number | ) |

Set font attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 167 of file NexNumber.cpp.

bool NexNumber::setValue | ( | uint32_t | number | ) |

Set number attribute of component.

Parameters

  number | - number buffer.

Returns
  true if success, false for failure.

Examples:
  CompGpio.ino.

Definition at line 31 of file NexNumber.cpp.

The documentation for this class was generated from the following files:

- NexNumber.h
- NexNumber.cpp